System Requirements

This game uses the High Definition Render Pipeline. To work, it needs a DX11 graphics card ( it works very badly, or does not work, on graphics cards integrated into older processors ) ( Intel HUD 600 series )
I tested it on an Nvidia GTX 1050 and an AMD FirePro W5170M

Game Launcher

The game now has its own launcher. It is in beta phase.
It is also included in the full versions.

Be careful, the launcher needs a full version to work, it is not capable to download the full game, it only applies the patches

You have to save it where the game files are (TheVoreGame.exe).

List of changes

Full version

The launcher contains a bug that prevents the update to version 0.25. The launcher needs to be re-downloaded.

V0.29

V0.28

V0.27

V0.26

V0.25.1

V0.24

V0.23

You must be 18+ to visit this website

The content on this website is AGE RESTRICTED..

Please confirm you are at least 18 years old of age. Otherwise leave the website.